DCMTK Version 3.7.0 OFFIS DICOM Toolkit

Public Member Functions | List of all members
DcmIODTypes::FrameBase Struct Referenceabstract

Base class to store pixel data for frames. More...

Inheritance diagram for DcmIODTypes::FrameBase:

## Public Member Functions
| FrameBase ()
| Destructor.
virtual size_t | getLengthInBytes () const =0
| Returns pixel data size in bytes. More...
virtual void * | getPixelData () const =0
| Get pointer to pixel data. More...
virtual Uint8 | bytesPerPixel () const =0
| Get bytes used per pixel. More...
virtual OFCondition | getUint8AtIndex (Uint8 &byteVal, const size_t index) const =0
| Get value at given index as 8 bit value. More...
virtual OFCondition | getUint16AtIndex (Uint16 &shortVal, const size_t index) const =0
| Get value at given index as 16 bit value. More...
virtual void | setReleaseMemory (OFBool release)=0
| Set whether Frame class should release memory (default) or whether it will be released externally. More...
virtual OFString | print () const =0
| Print frame data to string (for debugging purposes) More...
virtual | ~FrameBase ()
| Deconstructor, frees frame data if not disabled via setReleaseMemory() method.

## Detailed Description

Base class to store pixel data for frames.

Right now 8 and 16 bit are supported. Per default, the class will release memory in the destructor.

## Member Function Documentation

## ◆ bytesPerPixel()

virtual Uint8 DcmIODTypes::FrameBase::bytesPerPixel | ( |  | ) | const
| pure virtual

Get bytes used per pixel.

Returns
  Bytes per pixel (right now 8 or 16)

Implemented in DcmIODTypes::Frame< PixelType >.

## ◆ getLengthInBytes()

virtual size_t DcmIODTypes::FrameBase::getLengthInBytes | ( |  | ) | const
| pure virtual

Returns pixel data size in bytes.

Returns
  Size of pixel data in bytes

Implemented in DcmIODTypes::Frame< PixelType >.

## ◆ getPixelData()

virtual void* DcmIODTypes::FrameBase::getPixelData | ( |  | ) | const
| pure virtual

Get pointer to pixel data.

Returns
  Pointer to pixel data

Implemented in DcmIODTypes::Frame< PixelType >.

## ◆ getUint16AtIndex()

virtual OFCondition DcmIODTypes::FrameBase::getUint16AtIndex | ( | Uint16 & | shortVal,
|  | const size_t | index
| ) |  | const
| pure virtual

Get value at given index as 16 bit value.

Parameters

  shortVal | The value at the given index
  index | The index to get the value from

Returns
  EC_Normal if successful, EC_IllegalCall if index is out of bounds

Implemented in DcmIODTypes::Frame< PixelType >.

## ◆ getUint8AtIndex()

virtual OFCondition DcmIODTypes::FrameBase::getUint8AtIndex | ( | Uint8 & | byteVal,
|  | const size_t | index
| ) |  | const
| pure virtual

Get value at given index as 8 bit value.

Parameters

  byteVal | The value at the given index
  index | The index to get the value from

Returns
  EC_Normal if successful, EC_IllegalCall if index is out of bounds

Implemented in DcmIODTypes::Frame< PixelType >.

## ◆ print()

virtual OFString DcmIODTypes::FrameBase::print | ( |  | ) | const
| pure virtual

Print frame data to string (for debugging purposes)

Returns
  String representation of frame data

Implemented in DcmIODTypes::Frame< PixelType >.

## ◆ setReleaseMemory()

virtual void DcmIODTypes::FrameBase::setReleaseMemory | ( | OFBool | release | ) |
| pure virtual

Set whether Frame class should release memory (default) or whether it will be released externally.

Parameters

  release | OFTrue if Frame should release memory, OFFalse otherwise

Implemented in DcmIODTypes::Frame< PixelType >.

The documentation for this struct was generated from the following file:

- dcmiod/include/dcmtk/dcmiod/iodtypes.h

Generated on Mon Dec 15 2025 for DCMTK Version 3.7.0 by Doxygen 1.9.1